List webhook delivery logs

Returns a webhook endpoint's deliveries, newest first, each naming the event type and time it was made for, with its nested attempt diagnostics.

GET
/v1/webhooks/{id}/logs

Returns a webhook endpoint's deliveries, newest first, each naming the event type and time it was made for, with its nested attempt diagnostics. Pass nextCursor back as cursor for the next page; it is null on the last page.

x-api-key<token>

In: header

Path Parameters

id*string
Match^wep_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?string|null
cursor?CursorEncoded|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/webhooks/string/logs"
{  "items": [    {      "id": "string",      "eventId": "string",      "eventType": "string",      "occurredAt": "string",      "endpointId": "string",      "status": "pending",      "automaticAttempts": 0,      "nextAttemptAt": "string",      "completedAt": "string",      "createdAt": "string",      "updatedAt": "string",      "attempts": [        {          "id": "string",          "deliveryId": "string",          "kind": "automatic",          "attemptNumber": 1,          "classification": "success",          "attemptedAt": "string",          "responseStatus": 0,          "responseHeaders": {            "property1": "string",            "property2": "string"          },          "durationMs": 0,          "errorCode": "string",          "errorMessage": "string",          "createdAt": "string"        }      ]    }  ],  "nextCursor": "string"}

Related documentation